Skip to main content
GET
/
api
/
v3
/
actions
Get Actions
curl --request GET \
  --url https://toncenter.com/api/v3/actions
{
  "actions": [
    {
      "accounts": [
        "<string>"
      ],
      "action_id": "<string>",
      "details": "<unknown>",
      "end_lt": "0",
      "end_utime": 123,
      "start_lt": "0",
      "start_utime": 123,
      "success": true,
      "trace_end_lt": "0",
      "trace_end_utime": 123,
      "trace_external_hash": "<string>",
      "trace_external_hash_norm": "<string>",
      "trace_id": "<string>",
      "trace_mc_seqno_end": 123,
      "transactions": [
        "<string>"
      ],
      "transactions_full": [
        {
          "account": "<string>",
          "account_state_after": {
            "account_status": "<string>",
            "balance": "<string>",
            "code_boc": "<string>",
            "code_hash": "<string>",
            "data_boc": "<string>",
            "data_hash": "<string>",
            "extra_currencies": {},
            "frozen_hash": "<string>",
            "hash": "<string>"
          },
          "account_state_before": {
            "account_status": "<string>",
            "balance": "<string>",
            "code_boc": "<string>",
            "code_hash": "<string>",
            "data_boc": "<string>",
            "data_hash": "<string>",
            "extra_currencies": {},
            "frozen_hash": "<string>",
            "hash": "<string>"
          },
          "block_ref": {
            "seqno": 123,
            "shard": "0",
            "workchain": 123
          },
          "description": {
            "aborted": true,
            "action": {
              "action_list_hash": "<string>",
              "msgs_created": 123,
              "no_funds": true,
              "result_arg": 123,
              "result_code": 123,
              "skipped_actions": 123,
              "spec_actions": 123,
              "status_change": "<string>",
              "success": true,
              "tot_actions": 123,
              "tot_msg_size": {
                "bits": "0",
                "cells": "0"
              },
              "total_action_fees": "0",
              "total_fwd_fees": "0",
              "valid": true
            },
            "bounce": {
              "fwd_fees": "0",
              "msg_fees": "0",
              "msg_size": {
                "bits": "0",
                "cells": "0"
              },
              "req_fwd_fees": "0",
              "type": "<string>"
            },
            "compute_ph": {
              "account_activated": true,
              "exit_arg": 123,
              "exit_code": 123,
              "gas_credit": "0",
              "gas_fees": "0",
              "gas_limit": "0",
              "gas_used": "0",
              "mode": 123,
              "msg_state_used": true,
              "reason": "<string>",
              "skipped": true,
              "success": true,
              "vm_final_state_hash": "<string>",
              "vm_init_state_hash": "<string>",
              "vm_steps": 123
            },
            "credit_first": true,
            "credit_ph": {
              "credit": "0",
              "credit_extra_currencies": {},
              "due_fees_collected": "0"
            },
            "destroyed": true,
            "installed": true,
            "is_tock": true,
            "split_info": {
              "acc_split_depth": 123,
              "cur_shard_pfx_len": 123,
              "sibling_addr": "<string>",
              "this_addr": "<string>"
            },
            "storage_ph": {
              "status_change": "<string>",
              "storage_fees_collected": "0",
              "storage_fees_due": "0"
            },
            "type": "<string>"
          },
          "emulated": true,
          "end_status": "<string>",
          "hash": "<string>",
          "in_msg": {
            "bounce": true,
            "bounced": true,
            "created_at": "0",
            "created_lt": "0",
            "decoded_opcode": "<string>",
            "destination": "<string>",
            "extra_flags": "<string>",
            "fwd_fee": "0",
            "hash": "<string>",
            "hash_norm": "<string>",
            "ihr_disabled": true,
            "ihr_fee": "0",
            "import_fee": "0",
            "in_msg_tx_hash": "<string>",
            "init_state": {
              "body": "<string>",
              "decoded": {},
              "hash": "<string>"
            },
            "message_content": {
              "body": "<string>",
              "decoded": {},
              "hash": "<string>"
            },
            "opcode": 123,
            "out_msg_tx_hash": "<string>",
            "source": "<string>",
            "value": "0",
            "value_extra_currencies": {}
          },
          "lt": "0",
          "mc_block_seqno": 123,
          "now": 123,
          "orig_status": "<string>",
          "out_msgs": [
            {
              "bounce": true,
              "bounced": true,
              "created_at": "0",
              "created_lt": "0",
              "decoded_opcode": "<string>",
              "destination": "<string>",
              "extra_flags": "<string>",
              "fwd_fee": "0",
              "hash": "<string>",
              "hash_norm": "<string>",
              "ihr_disabled": true,
              "ihr_fee": "0",
              "import_fee": "0",
              "in_msg_tx_hash": "<string>",
              "init_state": {
                "body": "<string>",
                "decoded": {},
                "hash": "<string>"
              },
              "message_content": {
                "body": "<string>",
                "decoded": {},
                "hash": "<string>"
              },
              "opcode": 123,
              "out_msg_tx_hash": "<string>",
              "source": "<string>",
              "value": "0",
              "value_extra_currencies": {}
            }
          ],
          "prev_trans_hash": "<string>",
          "prev_trans_lt": "0",
          "total_fees": "0",
          "total_fees_extra_currencies": {},
          "trace_external_hash": "<string>",
          "trace_id": "<string>"
        }
      ],
      "type": "<string>"
    }
  ],
  "address_book": {},
  "metadata": {}
}

Documentation Index

Fetch the complete documentation index at: https://companyname-a7d5b98e-onchain-lib-edits.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

account
string

List of account addresses to get actions. Can be sent in hex, base64 or base64url form.

tx_hash
string[]

Find actions by transaction hash.

msg_hash
string[]

Find actions by message hash.

action_id
string[]

Find actions by the action_id.

trace_id
string[]

Find actions by the trace_id.

mc_seqno
integer<int32>

Query actions of traces which was completed in masterchain block with given seqno

start_utime
integer<int32>

Query actions for traces with trace_end_utime >= start_utime.

Required range: x >= 0
end_utime
integer<int32>

Query actions for traces with trace_end_utime <= end_utime.

Required range: x >= 0
start_lt
integer<int64>

Query actions for traces with trace_end_lt >= start_lt.

Required range: x >= 0
end_lt
integer<int64>

Query actions for traces with trace_end_lt <= end_lt.

Required range: x >= 0
action_type
enum<string>[]

Include action types.

Available options:
call_contract,
contract_deploy,
ton_transfer,
auction_bid,
change_dns,
dex_deposit_liquidity,
dex_withdraw_liquidity,
delete_dns,
renew_dns,
election_deposit,
election_recover,
jetton_burn,
jetton_swap,
jetton_transfer,
jetton_mint,
nft_mint,
tick_tock,
stake_deposit,
stake_withdrawal,
stake_withdrawal_request,
subscribe,
unsubscribe
exclude_action_type
enum<string>[]

Exclude action types.

Available options:
call_contract,
contract_deploy,
ton_transfer,
auction_bid,
change_dns,
dex_deposit_liquidity,
dex_withdraw_liquidity,
delete_dns,
renew_dns,
election_deposit,
election_recover,
jetton_burn,
jetton_swap,
jetton_transfer,
jetton_mint,
nft_mint,
tick_tock,
stake_deposit,
stake_withdrawal,
stake_withdrawal_request,
subscribe,
unsubscribe
supported_action_types
string[]

Supported action types

include_accounts
boolean
default:false

Include accounts array for each action in response.

include_transactions
boolean
default:false

Include transactions_full array with detailed transaction data for each action in response.

limit
integer<int32>
default:10

Limit number of queried rows. Use with offset to batch read.

Required range: 1 <= x <= 1000
offset
integer<int32>
default:0

Skip first N rows. Use with limit to batch read.

Required range: x >= 0
sort
enum<string>
default:desc

Sort actions by lt.

Available options:
asc,
desc

Response

OK

actions
object[]
address_book
object
metadata
object